Issue 89792 - [cws presenterscreen] clipping of current slide preview is not correct
Summary: [cws presenterscreen] clipping of current slide preview is not correct
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: OOo 3.0 Beta
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: christoph.lukasiak
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-22 15:02 UTC by groucho266
Modified: 2008-08-12 15:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Two shapes that fly in and should be correctly clipped at slide boundaries (24.92 KB, application/vnd.oasis.opendocument.presentation)
2008-06-23 09:27 UTC, groucho266
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description groucho266 2008-05-22 15:02:18 UTC
The preview of the current slide is not clipped (correctly).
Comment 1 groucho266 2008-06-05 13:21:08 UTC
Unlike lines or polygons sprites are painted somewhat asynchronously on
updateScreen().  At this point there is view state or render state that could
specify the clip rectangle.
Furthermore, the clip region of sprites specified via XSprite::clip() is
expected in the coordinate system of the sprite, not that of the canvas.

Fixed the sprite clipping by updating the clip region every time XSprite::move()
is called (and of course when XSprite::clip() is called) by transforming the
canvas bounds into the coordinate system of the sprite and setting that as clip
region.

Modified files:
/sd/source/ui/presenter/PresenterCanvas.hxx    rev. 1.3.30.1
/sd/source/ui/presenter/PresenterCanvas.cxx    rev. 1.3.28.1
Comment 2 groucho266 2008-06-23 09:27:28 UTC
Created attachment 54679 [details]
Two shapes that fly in and should be correctly clipped at slide boundaries
Comment 3 groucho266 2008-06-23 09:31:31 UTC
For verification: I have attached a bugdoc.  It has two animated shapes which,
when flying in, should be clipped at the slide boundaries.
Comment 4 groucho266 2008-06-23 09:52:29 UTC
Please verify.
Comment 5 christoph.lukasiak 2008-07-01 13:27:54 UTC
verified in cws
Comment 6 christoph.lukasiak 2008-08-12 15:45:22 UTC
close